SysIdentify

Classes | Enumerations | Functions
TwinCatIdent Namespace Reference

## Classes
class | DataProperties
| Class for storage target, generator and analysis properties More...
class | InputIdentSignal
| Class for signal for indentification storage More...
class | MData
| Class for data input/output storage More...
class | MeasureData
| Class for data storage from PLC More...
class | StateEvent
| Event class for state of external generator More...
class | TwinCatExtGen
| Class for control of external generator in PLC More...

## Enumerations
enum | eStateExtGen { eStateExtGen.Offline, eStateExtGen.Online, eStateExtGen.Running, eStateExtGen.Error }
| State of external generator More...
enum | eControlMode { eControlMode.PositionControl, eControlMode.VelocityControl, eControlMode.TorqueControl, eControlMode.UnknownControl }
| Mode of drive control More...
enum | eUnits { eUnits.degree, eUnits.mm, eUnits.none }
| Units More...
enum | eErrorIdExtGenerator { eErrorIdExtGenerator.eNoError = 0, eErrorIdExtGenerator.eMainBufferOverflow = 1, eErrorIdExtGenerator.eCurrentBufferOverflow = 2, eErrorIdExtGenerator.eUnexpectedDriveType = 3, eErrorIdExtGenerator.eErrorDetermineTaskTime = 4, eErrorIdExtGenerator.eOutOfPositionRange = 5, eErrorIdExtGenerator.eOutOfTorqueRangeIdent = 6, eErrorIdExtGenerator.eOutOfTorqueRangeStRes = 7, eErrorIdExtGenerator.eTimeout = 8 }
| Error ID of external generator in PLC More...

## Functions
delegate void | StateEventHandler (object source, StateEvent e)
| Delegate for event for 2-state events More...
delegate void | ActionEventHandler (object source)
| Delegate for event without arguements More...

## Enumeration Type Documentation

## ◆ eControlMode

enum TwinCatIdent.eControlMode
| strong

Mode of drive control

Enumerator
PositionControl | Position control
VelocityControl | Velocity control
TorqueControl | Torque control
UnknownControl | Unknow control

## ◆ eErrorIdExtGenerator

enum TwinCatIdent.eErrorIdExtGenerator
| strong

Error ID of external generator in PLC

Enumerator
eNoError | No error
eMainBufferOverflow | overflow main buffer with identification/step response data - too low sending speed through ADS
eCurrentBufferOverflow | overflow current buffer with current's values - too low sending speed through ADS
eUnexpectedDriveType | nDriveType is out of range
eErrorDetermineTaskTime | cannot determine task time
eOutOfPositionRange | out of position range
eOutOfTorqueRangeIdent | out of torque range during identification
eOutOfTorqueRangeStRes | out of torque range during step response
eTimeout | timeout between App and PLC

## ◆ eStateExtGen

enum TwinCatIdent.eStateExtGen
| strong

State of external generator

Enumerator
Offline | Offline state of external generator
Online | External generator is connected and ready
Running | External generator is ready
Error | Error of external generator

## ◆ eUnits

enum TwinCatIdent.eUnits
| strong

Units

Enumerator
degree | Degrees
mm | Milimeters
none | None

## Function Documentation

## ◆ ActionEventHandler()

delegate void TwinCatIdent.ActionEventHandler | ( | object | source | ) |

Delegate for event without arguements

Parameters

  source |

## ◆ StateEventHandler()

delegate void TwinCatIdent.StateEventHandler | ( | object | source,
|  | StateEvent | e
| ) |  |

Delegate for event for 2-state events

Parameters

  source |
  e |